> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of webhook logs for one webhook

> Returns a list of webhook logs for one webhook for your account



## OpenAPI

````yaml get /webhooks/{webhookid}/logs
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /webhooks/{webhookid}/logs:
    get:
      tags:
        - Webhooks
      summary: Get list of webhook logs for one webhook
      description: Returns a list of webhook logs for one webhook for your account
      operationId: webhooks_get_webhook_logs
      parameters:
        - name: webhookid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Webhookid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WebhookLogItem'
                title: Response Webhooks Get Webhook Logs
        '404':
          content:
            application/json:
              example:
                message: The specified webhook could not be found for this account
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WebhookLogItem:
      properties:
        webhooklogid:
          type: string
          format: uuid
          title: Webhooklogid
        webhookid:
          type: string
          format: uuid
          title: Webhookid
        event:
          type: string
          title: Event
        url:
          type: string
          title: Url
        accountid:
          type: string
          title: Accountid
        createdon:
          type: string
          format: date-time
          title: Createdon
        httpstatus:
          type: integer
          title: Httpstatus
        integrationid:
          anyOf:
            - type: integer
            - type: 'null'
          title: Integrationid
      type: object
      required:
        - webhooklogid
        - webhookid
        - event
        - url
        - accountid
        - createdon
        - httpstatus
      title: WebhookLogItem
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````